package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 流程变量对象 act_hi_varinst
 *
 * @author cmc
 * @date 2024-07-26
 */
public class FlowVarInst extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 流程实例id */
    private String procInstId;

    /** 变量名 */
    private String name;

    /** 变量值 */
    private String text;

    public void setProcInstId(String procInstId)
    {
        this.procInstId = procInstId;
    }

    public String getProcInstId()
    {
        return procInstId;
    }
    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }
    public void setText(String text)
    {
        this.text = text;
    }

    public String getText()
    {
        return text;
    }
    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("procInstId", getProcInstId())
                .append("name", getName())
                .append("text", getText())
                .append("createTime", getCreateTime())
                .toString();
    }
}
